Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IExtractionResults

All Known Subinterfaces:
  ICubeExtractionResults

    public interface IExtractionResults

A handle used to retrieve data stored in a report. Extraction results could contain multiple resultsets, especially when the extraction is at report level, i.e., get all the data stored for a report

Method Summary
`void` | `close()` Closes all query result set(s) associated with this object; provides a hint to the query that it can safely release all associated resources.
`IResultMetaData` | `getResultMetaData()` Returns the metadata of the first or current result set This method provides the result metadata without having to first fetch the result data.
`IDataIterator` | `nextResultIterator()` Returns the current result's iterator.

Method Detail

### getResultMetaData

    IResultMetaData getResultMetaData()
                                      throws org.eclipse.birt.core.exception.BirtException

  Returns the metadata of the first or current result set
  This method provides the result metadata without having to first fetch the result data.

  Returns Null if the metadata is not available before fetching from an `IResultIterator`, or if it is ambiguous on which result set to reference. In such case, one should obtain the result metadata from a specific `IResultIterator`.``

  Returns:
    The metadata of the first result set's detail row in this `IQueryResults`. Null if not available or ambiguous on which result set to reference.``
  Throws:
    `EngineException` - if error occurs during extraction
    `org.eclipse.birt.core.exception.BirtException`

### nextResultIterator

    IDataIterator nextResultIterator()
                                     throws org.eclipse.birt.core.exception.BirtException

  Returns the current result's iterator. Repeated call of this method without having advanced to the next result would return the same iterator at its current state.

  Returns:
    The current result's iterator.
  Throws:
    `EngineException` - if error occurs during extraction
    `org.eclipse.birt.core.exception.BirtException`

### close

    void close()

  Closes all query result set(s) associated with this object; provides a hint to the query that it can safely release all associated resources. The query results might have iterators open on them. Iterators associated with the query result sets are invalidated and can no longer be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.